# AmazonCreateEbsSnapshotParameters Object

## Description

Parameters for the Amazon Create EBS Snapshot action.

## Properties

### consistencyMethod

Consistency method to use when creating the EBS snapshot.

Type: `string`

Valid Values:

* `none`
* `stop-instance`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deregisterFromLoadBalancers

Indicates whether to deregister from load balancers when stopping the EC2 instance. Required when `consistencyMethod` is `stop-instance`.

Type: `string`

Valid Values:

* `none`
* `all-load-balancers`

Required: Conditional

### description

Description to assign to the EBS snapshots that are created.

Type: `string`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### snapshotName

Value to assign to the `Name` tag of the EBS snapshot that are created.

Type: `string`

Required: No

### tags

Resource tags to add to the EBS snapshot.

Type: Array of [Tag](/data-types/tag-object.md) object.

Required: No

### targetCredentialId

Credential ID of the AWS credentials to copy the the resulting EBS snapshot. Eg. `cred-12345678`. When setting this field, also set the `targetRegionName` field.

Type: `string`

Required: No

### targetRegionName

Name of a secondary region to copy the resulting EBS snapshot. Must be a valid region. Eg. `us-east-1`

Type: `string`

Required: No

### volumeIdentificationMethod

Method of identifying the EBS volumes.

Type: `string`

Valid Values:

* `by-volume-id`

Required: Yes

### volumeId

Volume ID of the EBS volume to backup. Required when `volumeIdentificationMethod` is `by-volume-id`.

Type: Array of `string`

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    "volumeIdentificationMethod": "by-volume-id",
    "volumeId": "vol-11111111"

    "consistencyMethod": "stop-instance",
    "deregisterFromLoadBalancers": "none",

    "snapshotName": "$(INSTANCEID)-$(DEVICE)-$(DATE)",
    "description": "Created by Skeddly for $(INSTANCEID) ($(INSTANCENAME))",
    "tags": [
        {
            "key": "skeddly:instance-id",
            "value": "$(INSTANCEID)"
        },
        {
            "key": "skeddly:volume-id",
            "value": "$(VOLUMEID)"
        },
        {
            "key": "skeddly:device",
            "value": "$(DEVICE)"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreateebssnapshotparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
